Bug 226937 - databases/go-carbon: Improve rc.d script.
Summary: databases/go-carbon: Improve rc.d script.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-26 08:47 UTC by Andreas Andersson
Modified: 2018-04-05 19:59 UTC (History)
1 user (show)

See Also:


Attachments
Improvements to rc.d script (1.78 KB, patch)
2018-03-26 08:47 UTC, Andreas Andersson
a.andersson.thn: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Andersson 2018-03-26 08:47:28 UTC
Created attachment 191827 [details]
Improvements to rc.d script

This change uses `/usr/sbin/daemon` instead as well as adding a reload command to reload go-carbon without shutting it down. This fixes an issue with restart.

Poudriere QA fine on 10.3, 10.4, 11.1 and 12-CURRENT. Portlint -AC runs without errors. Reload functionality tested.
Comment 1 Koichiro Iwao freebsd_committer 2018-03-29 04:40:37 UTC
LGTM, take.
Comment 2 Andreas Andersson 2018-04-02 05:14:19 UTC
(In reply to Koichiro Iwao from comment #1)

Did anything need to change with this port?
Comment 3 Koichiro Iwao freebsd_committer 2018-04-02 05:51:47 UTC
(In reply to Andreas Andersson from comment #2)

Your rc script calls "load_rc_config" twice.  The second one is useless.
I'll remove it and commit shortly. Please wait a little while more.
Comment 4 commit-hook freebsd_committer 2018-04-02 05:56:08 UTC
A commit references this bug:

Author: meta
Date: Mon Apr  2 05:55:17 UTC 2018
New revision: 466198
URL: https://svnweb.freebsd.org/changeset/ports/466198

Log:
  databases/go-carbon: Improve rc.d script

  Fixes an error with restart.

  PR:		226937
  Submitted by:	Andreas Andersson <a.andersson.thn@gmail.com>
  Approved by:	hrs (mentor, implicit)

Changes:
  head/databases/go-carbon/Makefile
  head/databases/go-carbon/files/go-carbon.in
Comment 5 Koichiro Iwao freebsd_committer 2018-04-02 06:01:57 UTC
Committed with minor changes, thanks!
Comment 6 commit-hook freebsd_committer 2018-04-05 19:59:51 UTC
A commit references this bug:

Author: riggs
Date: Thu Apr  5 19:59:22 UTC 2018
New revision: 466596
URL: https://svnweb.freebsd.org/changeset/ports/466596

Log:
  MFH: r466198

  databases/go-carbon: Improve rc.d script

  Fixes an error with restart.

  PR:		226937
  Submitted by:	Andreas Andersson <a.andersson.thn@gmail.com>
  Approved by:	hrs (mentor, implicit)

  Approved by:	ports-secteam (riggs)
  Reported by:	meta (via mail)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/databases/go-carbon/Makefile
  branches/2018Q2/databases/go-carbon/files/go-carbon.in